Package: org.codehaus.groovy.binding

## [Java] Class ClosureTriggerBinding

- org.codehaus.groovy.binding.ClosureTriggerBinding

- All Implemented Interfaces and Traits:
    SourceBinding, TriggerBinding

      public class ClosureTriggerBinding

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureTriggerBinding (Map<String, TriggerBinding> syntheticBindings)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `Closure` | `getClosure()`
    `Object` | `getSourceValue()`
    `void` | `setClosure(Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClosureTriggerBinding(Map<String, TriggerBinding> syntheticBindings)

  - ### Method Detail

    - #### public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### public Closure getClosure()

    - #### public Object getSourceValue()

    - #### public void setClosure(Closure closure)